using data.RemoteData.RemoteDataBase;

var builder = WebApplication.CreateBuilder(args);

// Регистрация сервисов
builder.Services.AddControllers();
builder.Services.AddDbContext<RemoteDatabaseContext>();

// Регистрируем зависимости для репозиториев
builder.Services.ConfigurateRepositories();

// Регистрируем зависимости для группы, пользователей и посещаемости
builder.Services.ConfigurateGroup();
builder.Services.ConfigurateUser(); // Добавлено
builder.Services.ConfiguratePresence(); // Добавлено

builder.Services.AddEndpointsApiExplorer();
builder.Services.AddSwaggerGen();

var app = builder.Build();

if (app.Environment.IsDevelopment())
{
    app.UseSwagger();
    app.UseSwaggerUI();
}

app.UseHttpsRedirection();
app.MapControllers();

app.Run();
